Package org.sunflow.system

## Class Parser

- java.lang.Object
- - org.sunflow.system.Parser

-     public class Parser
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Parser.ParserException` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Parser​(java.lang.String filename)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkNextToken​(java.lang.String token)` |
    `void` | `close()` |
    `boolean` | `getNextBoolean()` |
    `java.lang.String` | `getNextCodeBlock()` |
    `float` | `getNextFloat()` |
    `int` | `getNextInt()` |
    `java.lang.String` | `getNextToken()` |
    `boolean` | `peekNextToken​(java.lang.String tok)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parser

          public Parser​(java.lang.String filename)
                 throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getNextToken

          public java.lang.String getNextToken()
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### peekNextToken

          public boolean peekNextToken​(java.lang.String tok)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getNextCodeBlock

          public java.lang.String getNextCodeBlock()
                                            throws Parser.ParserException,
                                                   java.io.IOException

      Throws:
        `Parser.ParserException`
        `java.io.IOException`

    - #### getNextBoolean

          public boolean getNextBoolean()
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getNextInt

          public int getNextInt()
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getNextFloat

          public float getNextFloat()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### checkNextToken

          public void checkNextToken​(java.lang.String token)
                              throws Parser.ParserException,
                                     java.io.IOException

      Throws:
        `Parser.ParserException`
        `java.io.IOException`